DCMTK: dcmdata/include/dcmtk/dcmdata/dcvr.h File Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Enumerations | Functions | Variables
dcvr.h File Reference

definition and handling of value representations (VR) More...

## Classes
class | DcmVR
| a class representing a DICOM Value Representation More...

## Enumerations
enum | DcmEVR { EVR_AE , EVR_AS , EVR_AT , EVR_CS , EVR_DA , EVR_DS , EVR_DT , EVR_FL , EVR_FD , EVR_IS , EVR_LO , EVR_LT , EVR_OB , EVR_OD , EVR_OF , EVR_OL , EVR_OV , EVR_OW , EVR_PN , EVR_SH , EVR_SL , EVR_SQ , EVR_SS , EVR_ST , EVR_SV , EVR_TM , EVR_UC , EVR_UI , EVR_UL , EVR_UR , EVR_US , EVR_UT , EVR_UV , EVR_ox , EVR_px , EVR_xs , EVR_lt , EVR_na , EVR_up , EVR_item , EVR_metainfo , EVR_dataset , EVR_fileFormat , EVR_dicomDir , EVR_dirRecord , EVR_pixelSQ , EVR_pixelItem , EVR_UNKNOWN , EVR_UN , EVR_PixelData , EVR_OverlayData , EVR_UNKNOWN2B , EVR_invalid }
| VR Enumerations. More...

## Functions
DCMTK_DCMDATA_EXPORT void | dcmEnableGenerationOfNewVRs ()
| Global function that enables the generation of "new" value representations, i.e.
DCMTK_DCMDATA_EXPORT void | dcmDisableGenerationOfNewVRs ()
| Global function that disables the generation of "new" value representations, i.e.

## Variables
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUnknownVRGeneration
| Global flag to enable/disable the generation of VR=UN, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUnlimitedTextVRGeneration
| Global flag to enable/disable the generation of VR=UT, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableOtherFloatVRGeneration
| Global flag to enable/disable the generation of VR=OF, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableOtherDoubleVRGeneration
| Global flag to enable/disable the generation of VR=OD, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableOtherLongVRGeneration
| Global flag to enable/disable the generation of VR=OL, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUniversalResourceIdentifierOrLocatorVRGeneration
| Global flag to enable/disable the generation of VR=UR, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUnlimitedCharactersVRGeneration
| Global flag to enable/disable the generation of VR=UC, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableOther64bitVeryLongVRGeneration
| Global flag to enable/disable the generation of VR=OV, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableSigned64bitVeryLongVRGeneration
| Global flag to enable/disable the generation of VR=SV, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUnsigned64bitVeryLongVRGeneration
| Global flag to enable/disable the generation of VR=UV, which has been introduced after the first edition of the DICOM standard (1993).
DCMTK_DCMDATA_EXPORT OFGlobal< OFBool > | dcmEnableUnknownVRConversion
| Global flag to enable/disable the automatic re-conversion of defined length UN elements read in an explicit VR transfer syntax, if the real VR is defined in the data dictionary.

## Detailed Description

definition and handling of value representations (VR)

## Enumeration Type Documentation

## ◆ DcmEVR

enum DcmEVR

VR Enumerations.

NB: The order of entries has to conform to the order in DcmVRDict (see dcmvr.cc)! If not an error message is reported and the program aborts (only in DEBUG mode).

Enumerator
EVR_AE | application entity title
EVR_AS | age string
EVR_AT | attribute tag
EVR_CS | code string
EVR_DA | date string
EVR_DS | decimal string
EVR_DT | date time string
EVR_FL | float single-precision
EVR_FD | float double-precision
EVR_IS | integer string
EVR_LO | long string
EVR_LT | long text
EVR_OB | other byte
EVR_OD | other double
EVR_OF | other float
EVR_OL | other long
EVR_OV | other 64-bit very long
EVR_OW | other word
EVR_PN | person name
EVR_SH | short string
EVR_SL | signed long
EVR_SQ | sequence of items
EVR_SS | signed short
EVR_ST | short text
EVR_SV | signed 64-bit very long
EVR_TM | time string
EVR_UC | unlimited characters
EVR_UI | unique identifier
EVR_UL | unsigned long
EVR_UR | universal resource identifier or universal resource locator (URI/URL)
EVR_US | unsigned short
EVR_UT | unlimited text
EVR_UV | unsigned 64-bit very long
EVR_ox | OB or OW depending on context.
EVR_px | OB or OW, interpreted as pixel data (compressed or uncompressed).
EVR_xs | SS or US depending on context.
EVR_lt | US, SS or OW depending on context, used for LUT Data (thus the name).
EVR_na | na="not applicable", for data which has no VR
EVR_up | up="unsigned pointer", used internally for DICOMDIR support
EVR_item | used internally for items
EVR_metainfo | used internally for meta info datasets
EVR_dataset | used internally for datasets
EVR_fileFormat | used internally for DICOM files
EVR_dicomDir | used internally for DICOMDIR objects
EVR_dirRecord | used internally for DICOMDIR records
EVR_pixelSQ | used internally for pixel sequences in a compressed image
EVR_pixelItem | used internally for pixel items in a compressed image
EVR_UNKNOWN | used internally for elements with unknown VR (encoded with 4-byte length field in explicit VR)
EVR_UN | unknown value representation
EVR_PixelData | used internally for uncompressed pixel data
EVR_OverlayData | used internally for overlay data
EVR_UNKNOWN2B | used internally for elements with unknown VR with 2-byte length field in explicit VR
EVR_invalid | used internally for invalid VRs, e.g. when reading an invalid VR string from a data set

## Function Documentation

## ◆ dcmDisableGenerationOfNewVRs()

DCMTK_DCMDATA_EXPORT void dcmDisableGenerationOfNewVRs | ( |  | ) |

Global function that disables the generation of "new" value representations, i.e.

the ones that have been introduced after the first edition of the DICOM standard (1993). See above dcmEnableXXXVRGeneration() flags for details.

## ◆ dcmEnableGenerationOfNewVRs()

DCMTK_DCMDATA_EXPORT void dcmEnableGenerationOfNewVRs | ( |  | ) |

Global function that enables the generation of "new" value representations, i.e.

the ones that have been introduced after the first edition of the DICOM standard (1993). See above dcmEnableXXXVRGeneration() flags for details.

## Variable Documentation

## ◆ dcmEnableOther64bitVeryLongVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableOther64bitVeryLongVRGeneration
| extern

Global flag to enable/disable the generation of VR=OV, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableOtherDoubleVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableOtherDoubleVRGeneration
| extern

Global flag to enable/disable the generation of VR=OD, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableOtherFloatVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableOtherFloatVRGeneration
| extern

Global flag to enable/disable the generation of VR=OF, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableOtherLongVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableOtherLongVRGeneration
| extern

Global flag to enable/disable the generation of VR=OL, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableSigned64bitVeryLongVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableSigned64bitVeryLongVRGeneration
| extern

Global flag to enable/disable the generation of VR=SV, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableUniversalResourceIdentifierOrLocatorVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableUniversalResourceIdentifierOrLocatorVRGeneration
| extern

Global flag to enable/disable the generation of VR=UR, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UT (if enabled), VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableUnknownVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableUnknownVRGeneration
| extern

Global flag to enable/disable the generation of VR=UN, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=OB is used instead.

## ◆ dcmEnableUnlimitedCharactersVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableUnlimitedCharactersVRGeneration
| extern

Global flag to enable/disable the generation of VR=UC, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableUnlimitedTextVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableUnlimitedTextVRGeneration
| extern

Global flag to enable/disable the generation of VR=UT, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

## ◆ dcmEnableUnsigned64bitVeryLongVRGeneration

DCMTK_DCMDATA_EXPORT OFGlobal<OFBool> dcmEnableUnsigned64bitVeryLongVRGeneration
| extern

Global flag to enable/disable the generation of VR=UV, which has been introduced after the first edition of the DICOM standard (1993).

If disabled, the VR=UN (if enabled) or alternatively VR=OB is used.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1